#######################################################################
#Script Name: proftpd.sftp.conf
#Version: 1.3
#Description: Proftpd SFTP conf for DA.
#Last Modify Date: 12162021
#Author:Brent Dacus
#Email:brent[at]thedacus[dot]net
#######################################################################
<IfModule mod_sftp.c>
    <VirtualHost 0.0.0.0>
        # The SFTP configuration
        Port 1414
        SFTPEngine on
        AuthUserFile    /etc/proftpd.passwd
        TransferLog     /var/log/proftpd/xferlog.legacy
        ExtendedLog     /var/log/proftpd/|IP|.bytes WRITE,READ userlog
        SFTPLog /var/log/proftpd/sftp.log
        SFTPHostKey /etc/ssh/ssh_host_rsa_key
        SFTPAuthorizedUserKeys file:~/.sftp/authorized_keys
        #Require only password authentication
        SFTPAuthMethods password
        MaxLoginAttempts 6
        SFTPClientMatch ".*WS_FTP.*" channelWindowSize 1GB    #WS_FTP initial window size
        SFTPClientMatch ".*ClientSftp" sftpProtocolVersion 3  #CuteFTPPro8
        SFTPClientMatch ".*WinSCP.*" sftpProtocolVersion 3    #upload/download fix for WinSCP
        SFTPClientMatch ".*SecureBlackbox.*" sftpProtocolVersion 3
        SFTPClientMatch "1.0" sftpProtocolVersion 3 channelWindowSize 1GB
        SFTPClientMatch ".*J2SSH_Maverick.*" channelWindowSize 1GB
        SFTPClientMatch ".*WeOnlyDo.*" sftpProtocolVersion 3 channelWindowSize 1GB
        SFTPClientMatch ".*EldoS.SSHBlackbox.3.*" sftpProtocolVersion 3 channelWindowSize 1GB
        SFTPClientMatch ".*IP.Works.*" channelWindowSize 1GB
    </VirtualHost>
</IfModule>
